# The initialization module: Classes are initialized and made
# available to Zope here

__doc__= """CMFAudio initialization module"""
__version__ = '$Revision: 0.0.4 $'[11:-2]  


ADD_CONTENT_PERMISSION = 'Add portal content'
 
import CMFAudio

from Products.Audio import Audio

from Products.CMFDefault import  DublinCore, File
import Products.CMFCore
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from ZClasses import createZClassForBase


import sys
this_module = sys.modules[ __name__ ]

createZClassForBase( CMFAudio.CMFAudio, this_module )

# This is used by a script (external method) that can be run
# to set up Audio in an existing CMF Site instance.
audio_globals=globals()

# Make the skins available as DirectoryViews.
registerDirectory('skins', globals())
registerDirectory('skins/audio', globals())


def initialize( context ):

#    context.registerHelpTitle('CMFAudio Help')
#    context.registerHelp(directory='help')

    # CMF Initializers
    utils.ContentInit(
        'CMFAudio Content',
        content_types = (CMFAudio.CMFAudio,),
        permission =ADD_CONTENT_PERMISSION,
        extra_constructors = (CMFAudio.addFile,),
        fti = (CMFAudio.factory_type_information,),
        ).initialize(context)


#install note: to use this, 

#1
#go to portal skins, add FILESYSTEM DIRECTORY VIEW and use CMFAudio/skins
#type CMFAudio as the ID.

#2
#go to portal types, add FACTORY BASED TYPE INFORMATION and use specify CMFAudio
#as the ID.  USe the drop down to select CMFAudio.
#
#
#3
#go to content_type_registry and add a major_minor predicate, then change it
#so major is audio, minor is blank, make sure 'Audio' is the type.